## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate lcms2

Name:           rust-lcms2
Version:        5.6.0
Release:        %autorelease
Summary:        ICC color profile handling. Rusty wrapper for Little CMS

License:        MIT
URL:            https://crates.io/crates/lcms2
Source:         %{crates_source}
# https://github.com/kornelski/rust-lcms2/issues/14
# This is the COPYING file that is symlinked into rust-lcms2-sys crate upstream
Source1:        https://raw.githubusercontent.com/mm2/Little-CMS/d0752309ff93f62be246ee9bf18338107f30d485/COPYING
# Manually created patch for downstream crate metadata changes
# * Add COPYING file to the crate (https://github.com/kornelski/rust-lcms2/issues/14)
# * Remove the "static" feature that depends on rust-lcms2-sys "static" feature
#   that is stripped out (due to bundled liblcms2)
Patch:          lcms2-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
ICC color profile handling. Rusty wrapper for Little CMS.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# https://github.com/kornelski/rust-lcms2/issues/14
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
# The tests are broken on other arches and need investigating
%ifarch %{ix86} x86_64
%check
# profile::setters failures need investigating
%cargo_test -- -- --skip profile::setters
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 5.6.0-1
- Initial Fedora packaging (rhbz#2233226)
## END: Generated by rpmautospec
